https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipientsUpdates the recipients of a draft envelope or corrects recipient information for an in-process envelope. If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the [EnvelopeRecipients: Create][EnvelopeRecipients-create] method). You can also use this method to resend an envelope to a recipient by using the `resend_envelope` option. **Updating Sent Envelopes** After an envelope has been sent, you can edit only the following properties: - `accessCode` - `agentCanEditName` - `agentCanEditEmail` - `customFields` - `deliveryMethod` - `documentVisibility` - `email` (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.) - `emailNotification` - `idCheckConfigurationName` - `identityVerification` - `name` - `note` - `phoneAuthentication` - `recipientType` (For this to work, you must also change the recipient object to match the recipient type.) - `requireIdLookup` - `routingOrder` - `signingGroupId` (You can change this ID to switch to a different signing group and its corresponding set of recipients.) - `smsAuthentication` - `suppressEmails` - `userName` If the recipient has signed, but the envelope is still active, the method will return success, but the `recipientUpdateResults` property in the response will include an error that the recipient could not be updated: ``` { "recipientUpdateResults": [ { "recipientId": "999", "errorDetails": { "errorCode": "RECIPIENT_UPDATE_FAILED", "message": "The recipient could not be updated. Recipient not in state that allows correction." } } ] } ``` If the envelope is completed, and you try to change a recipient's address, the method will fail with this error: ``` { "errorCode": "ENVELOPE_INVALID_STATUS", "message": "Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct." } ``` **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab. ```json { "signers": [ { "email": "astanton@example.com", "name": "Anne Stanton", "recipientId": "1", // THIS WILL NOT WORK "tabs": { "signHereTabs": [ { "anchorString": "below", "tooltip": "please sign here3" }, . . . ] } } ] } ``` [EnvelopeRecipients-create]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/create/ [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
When **true,** recipients are combined or merged with matching recipients. Recipient matching occurs as part of [template matching](https://support.docusign.com/s/document-item?bundleId=jux1643235969954&topicId=fxo1578456612662.html), and is based on Recipient Role and Routing Order.
Indicates if offline signing is enabled for the recipient when a network connection is unavailable.
When **true,** forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to **false** has no effect and is the same as omitting it altogether.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipientsUpdates the recipients of a draft envelope or corrects recipient information for an in-process envelope. If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the [EnvelopeRecipients: Create][EnvelopeRecipients-create] method). You can also use this method to resend an envelope to a recipient by using the `resend_envelope` option. **Updating Sent Envelopes** After an envelope has been sent, you can edit only the following properties: - `accessCode` - `agentCanEditName` - `agentCanEditEmail` - `customFields` - `deliveryMethod` - `documentVisibility` - `email` (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.) - `emailNotification` - `idCheckConfigurationName` - `identityVerification` - `name` - `note` - `phoneAuthentication` - `recipientType` (For this to work, you must also change the recipient object to match the recipient type.) - `requireIdLookup` - `routingOrder` - `signingGroupId` (You can change this ID to switch to a different signing group and its corresponding set of recipients.) - `smsAuthentication` - `suppressEmails` - `userName` If the recipient has signed, but the envelope is still active, the method will return success, but the `recipientUpdateResults` property in the response will include an error that the recipient could not be updated: ``` { "recipientUpdateResults": [ { "recipientId": "999", "errorDetails": { "errorCode": "RECIPIENT_UPDATE_FAILED", "message": "The recipient could not be updated. Recipient not in state that allows correction." } } ] } ``` If the envelope is completed, and you try to change a recipient's address, the method will fail with this error: ``` { "errorCode": "ENVELOPE_INVALID_STATUS", "message": "Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct." } ``` **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab. ```json { "signers": [ { "email": "astanton@example.com", "name": "Anne Stanton", "recipientId": "1", // THIS WILL NOT WORK "tabs": { "signHereTabs": [ { "anchorString": "below", "tooltip": "please sign here3" }, . . . ] } } ] } ``` [EnvelopeRecipients-create]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/create/ [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
When **true,** recipients are combined or merged with matching recipients. Recipient matching occurs as part of [template matching](https://support.docusign.com/s/document-item?bundleId=jux1643235969954&topicId=fxo1578456612662.html), and is based on Recipient Role and Routing Order.
Indicates if offline signing is enabled for the recipient when a network connection is unavailable.
When **true,** forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to **false** has no effect and is the same as omitting it altogether.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}